Subject: I-D ACTION:draft-ietf-secsh-architecture-01.txt

From: [email-masked]
Date: Mon, 10 Nov 1997 10:14:14 -0500

A Revised Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Secure Shell Working Group of the IETF.

	Title		: SSH Protocol Architecture
	Author(s)	: T. Ylonen, T. Kivinen, M. Saarinen
	Filename	: draft-ietf-secsh-architecture-01.txt
	Pages		: 11
	Date		: 07-Nov-97
	
SSH is a protocol for secure remote login and other secure network
services over an insecure network.
 
This document describes the architecture of the SSH protocol, and the
notation and terminology used in SSH protocol documents. It also discusses
the SSH algorithm naming system that allows local extensions.
 
The SSH protocol consists of three major components: Transport layer
protocol provides server authentication, confidentiality, and integrity
with perfect forward secrecy. User authentication protocol authenticates
the client to the server. Connection protocol multiplexes the encrypted
tunnel into several logical channels. Details of these protocols are
described in separate documents.

Internet-Drafts are available by anonymous FTP.  Login wih the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-secsh-architecture-01.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-secsh-architecture-01.txt

Internet-Drafts directories are located at:

	Africa:	ftp.is.co.za
	
	Europe: ftp.nordu.net
		ftp.nis.garr.it
			
	Pacific Rim: munnari.oz.au
	
	US East Coast: ds.internic.net
	
	US West Coast: ftp.isi.edu

Internet-Drafts are also available by mail.

Send a message to:	[email-masked].  In the body type:
	"FILE /internet-drafts/draft-ietf-secsh-architecture-01.txt".
	
NOTE:	The mail server at ds.internic.net can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.